package org.springblade.mapper;

import org.springblade.entity.ApiAuthApply;
import org.springblade.entity.ApplyDetailVO;
import org.springblade.entity.ApplyVO;
import org.springblade.entity.ExamineVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ApiAuthApplyMapper {

    void insert(ApiAuthApply apiAuthApply);

    void update(ApiAuthApply apiAuthApply);

    List<ApplyVO> getApplyList(@Param("userId")Long userId, @Param("apiName")String apiName, @Param("apiType")Integer apiType);

    List<ExamineVO> getExamineList(@Param("status")Integer status, @Param("userName")String userName);

    ApplyDetailVO selectById(Integer id);

}
