package org.springblade.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.entity.ApiNeedApply;
import org.springblade.entity.ApplyVO;
import org.springblade.entity.ExamineVO;
import org.springblade.entity.NeedApplyDetailVO;

import java.util.List;
@Mapper
public interface ApiNeedApplyMapper {

    void insert(ApiNeedApply apiNeedApply);

    void update(ApiNeedApply apiNeedApply);

    List<ApplyVO> getApplyList(@Param("userId")Long userId, @Param("apiName")String apiName, @Param("apiType")Integer apiType);

    List<ExamineVO> getExamineList(@Param("status")Integer status, @Param("userName")String userName);

    NeedApplyDetailVO selectById(Integer id);
}
