package org.springblade.service;

import org.springblade.mapper.SystemLogMapper;
import org.springblade.entity.SystemLog;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


@Service
public class SystemLogService {

    @Resource
    private SystemLogMapper systemLogMapper;


    public SystemLog findSystemLogById(Integer id) {
        return systemLogMapper.findById(id);
    }


    public boolean insertSystemLog(SystemLog systemLog) {
        return systemLogMapper.insert(systemLog);
    }

    public boolean updateSystemLog(SystemLog systemLog) {
        return systemLogMapper.update(systemLog);
    }

    public boolean deleteSystemLogById(Integer id) {
        return systemLogMapper.deleteById(id);
    }

    public List<SystemLog> listSystemLogs(String tag, String beginTime, String endTime) {
        return systemLogMapper.listSystemLogs(tag, beginTime, endTime);
    }
}
