package org.springblade.service;

import org.springblade.mapper.ApiNeedApplyMapper;
import org.springblade.entity.ApiNeedApply;
import org.springblade.entity.ApplyVO;
import org.springblade.entity.ExamineVO;
import org.springblade.entity.NeedApplyDetailVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ApiNeedApplyService {


    @Resource
    private ApiNeedApplyMapper apiNeedApplyMapper;



    public void insert(ApiNeedApply apiNeedApply) {
        apiNeedApplyMapper.insert(apiNeedApply);
    }


    public void update(ApiNeedApply apiNeedApply) {
        apiNeedApplyMapper.update(apiNeedApply);
    }
    public List<ApplyVO> getApplyList(Long userId, String apiName, Integer apiType) {
        return  apiNeedApplyMapper.getApplyList(userId,apiName,apiType);
    }
    public List<ExamineVO> getExamineList(Integer status, String userName) {
        return  apiNeedApplyMapper.getExamineList(status,userName);
    }

    public NeedApplyDetailVO selectById(Integer id){
        return  apiNeedApplyMapper.selectById(id);
    }
}
